<?php

class m200107_155309_clientes_controle_dispositivos_moveis extends CDbMigration
{
	public function up()
	{
		$table = Yii::app()->db->schema->getTable('clientes');
		if(!isset($table->columns['CLI_SERVIDOR_REPLICACAO'])) {
			$this->addColumn('clientes', 'CLI_SERVIDOR_REPLICACAO', 'VARCHAR(30) NULL');
		}
		if(!isset($table->columns['CLI_MODULO_MOBILE'])) {
			$this->addColumn('clientes', 'CLI_MODULO_MOBILE', 'BOOLEAN NOT NULL DEFAULT FALSE');
		}
		if(!isset($table->columns['CLI_QTDLICENCAS_MOBILE'])) {
			$this->addColumn('clientes', 'CLI_QTDLICENCAS_MOBILE', 'INT(11) NULL DEFAULT 0');
		}
		$this->refreshTableSchema('clientes');
	}

	public function down()
	{
		$table = Yii::app()->db->schema->getTable('clientes');
		if(!isset($table->columns['CLI_SERVIDOR_REPLICACAO'])) {
			$this->dropColumn('clientes', 'CLI_SERVIDOR_REPLICACAO');
		}
		if(!isset($table->columns['CLI_MODULO_MOBILE'])) {
			$this->dropColumn('clientes', 'CLI_MODULO_MOBILE');
		}
		if(!isset($table->columns['CLI_QTDLICENCAS_MOBILE'])) {
			$this->dropColumn('clientes', 'CLI_QTDLICENCAS_MOBILE');
		}
		$this->refreshTableSchema('clientes');
	}
}